Subject: [Sip] Re: I-D ACTION:draft-rosenberg-sip-hitchhikers-guide-00.txt

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 01 Mar 2006 22:51:57 -0500

The idea behind this draft is to meet one of our charter items, which is 
to develop a 'roadmap for sip'. There is some precedent for documents 
like this:

http://www.ietf.org/internet-drafts/draft-ietf-tcpm-tcp-roadmap-06.txt

Drafts like this are also useful to newcomers for helping find their way 
through the specs.

Even a draft like this is not without open issues. I purposefully 
omitted a bunch of specifications from being officially part of the sip 
protocol because they weren't proper SIP extensions - things like object 
definitions (content indirection, for example). I also omitted framework 
documents for the most part. Should they be included?

Perhaps most controversial will be my choice for what constitutes the 
'core sip protocol', the set of specs you basically need to implement to 
really do sip. There's a P-header on the list... so go take a look.

Thanks,
Jonathan R.

[email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
> 	Title		: A Hitchhikers Guide to the Session Initiation Protocol (SIP)
> 	Author(s)	: J. Rosenberg
> 	Filename	: draft-rosenberg-sip-hitchhikers-guide-00.txt
> 	Pages		: 24
> 	Date		: 2006-3-1
> 	
>    The Session Initiation Protocol (SIP) is the subject of numerous
>    specifications that have been produced by the IETF.  It can be
>    difficult to locate the right document, or even to determine the set
>    of Request for Comments (RFC) about SIP.  Don't Panic!  This
>    specification serves as a guide to the SIP RFC series.  It lists the
>    specifications under the SIP umbrella, briefly summarizes each, and
>    groups them into categories.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-rosenberg-sip-hitchhikers-guide-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of the message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-rosenberg-sip-hitchhikers-guide-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-rosenberg-sip-hitchhikers-guide-00.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 1 Mar 2006 23:18:05 -0500

This is a great service to the community. For your XXXX list of RFCs  
in the emergency calling section, it might be useful to add place  
holders for the emerging ECRIT work.

For 3262, one might add that the benefit is particularly small if the  
underlying transport layer is reliable, e.g., for sips transport.

Session timers ... has thus seen -> have thus seen

any security considerations on its own.  -> of its own

One temptation for this draft will be to wait until the very last  
XXXX has been instantiated. It is not clear that this is wise, but  
that's probably something to be discussed. Section 14 is somewhat  
sparse; one wonders if a separate document wouldn't be more  
appropriate here.

On Mar 1, 2006, at 10:51 PM, Jonathan Rosenberg wrote:

> The idea behind this draft is to meet one of our charter items,  
> which is to develop a 'roadmap for sip'. There is some precedent  
> for documents like this:
>
> Drafts like this are also useful to newcomers for helping find  
> their way through the specs.
>
> omitted a bunch of specifications from being officially part of the  
> sip protocol because they weren't proper SIP extensions - things  
> like object definitions (content indirection, for example). I also  
> omitted framework documents for the most part. Should they be  
> included?
>
> Perhaps most controversial will be my choice for what constitutes  
> the 'core sip protocol', the set of specs you basically need to  
> implement to really do sip. There's a P-header on the list... so go  
> take a look.
>
> Thanks,
> Jonathan R.
>
>> To remove yourself from the I-D Announcement list, send a message  
>> to [email-masked] with the word unsubscribe in the  
>> body of the message.  You can also visit https://www1.ietf.org/ 
>> mailman/listinfo/I-D-announce to change your subscription settings.
>> http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow- 
>> sites.txt